<html>
<head>
<title>Ogre::LodStrategy Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1LodStrategy.html">LodStrategy</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::LodStrategy Class Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::LodStrategy" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Strategy for determining level of detail.  
 <a href="classOgre_1_1LodStrategy.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreLodStrategy_8h_source.html">OgreLodStrategy.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::LodStrategy:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1LodStrategy__inherit__graph.gif" border="0" usemap="#Ogre_1_1LodStrategy_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1LodStrategy_inherit__map" id="Ogre_1_1LodStrategy_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1DistanceLodStrategy.html" title="Level of detail strategy based on distance from camera." alt="" coords="5,160,184,189"/><area shape="rect" id="node7" href="classOgre_1_1PixelCountLodStrategy.html" title="Level of detail strategy based on pixel count approximation from bounding sphere projection." alt="" coords="208,160,400,189"/><area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="163,5,235,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1LodStrategy-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a49536ec8eff8497fda98ea8ecab569df">LodStrategy</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor accepting name.  <a href="#a49536ec8eff8497fda98ea8ecab569df"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a667bd94e7c15e2b5d5692146d22cd1f8">~LodStrategy</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor.  <a href="#a667bd94e7c15e2b5d5692146d22cd1f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a11c15567a651d4e46856030f6d34b789">getBaseValue</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of the first (highest) level of detail.  <a href="#a11c15567a651d4e46856030f6d34b789"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#aeaf5bcfb7457356cb921366769490705">transformBias</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Transform lod bias so it only needs to be multiplied by the lod value.  <a href="#aeaf5bcfb7457356cb921366769490705"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#aaa120bf9341ff0cada367395900b43a6">transformUserValue</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> userValue) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforum user supplied value to internal value.  <a href="#aaa120bf9341ff0cada367395900b43a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#aae80184002889618f1a7668e25078c05">getValue</a> (const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *movableObject, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *camera) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the lod value for a given movable object relative to a given camera.  <a href="#aae80184002889618f1a7668e25078c05"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a25dbe720f04a6787f5bc143d522f8f83">getIndex</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value, const <a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;meshLodUsageList) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the index of the lod usage which applies to a given value.  <a href="#a25dbe720f04a6787f5bc143d522f8f83"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#ac1509db4186c609e174deeb3be5b3760">getIndex</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value, const <a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">Material::LodValueList</a> &amp;materialLodValueList) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the index of the lod usage which applies to a given value.  <a href="#ac1509db4186c609e174deeb3be5b3760"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a5f7dbdd90f8acb8edbffbf40fbd13df5">sort</a> (<a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;meshLodUsageList) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort mesh lod usage list from greatest to least detail.  <a href="#a5f7dbdd90f8acb8edbffbf40fbd13df5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a7a1baabc9cc705dc5551a86534145ca3">isSorted</a> (const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;values) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if the lod values are sorted from greatest detail to least detail.  <a href="#a7a1baabc9cc705dc5551a86534145ca3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#aa904d7ba5622837991539bd3eb9dc815">assertSorted</a> (const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;values) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assert that the lod values are sorted from greatest detail to least detail.  <a href="#aa904d7ba5622837991539bd3eb9dc815"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a4dc72d5700c871cb12a1409c7e71e08b">getName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this strategy.  <a href="#a4dc72d5700c871cb12a1409c7e71e08b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a407f6232a2d69ba722a00e90615a8186">getValueImpl</a> (const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *movableObject, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *camera) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the lod value for a given movable object relative to a given camera.  <a href="#a407f6232a2d69ba722a00e90615a8186"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#ae651397cff148b52d2f11c85ac7a21a8">isSortedAscending</a> (const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;values)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of isSorted suitable for ascending values.  <a href="#ae651397cff148b52d2f11c85ac7a21a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a1fbe6424bfb9378195af171ecfe67b4a">isSortedDescending</a> (const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;values)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of isSorted suitable for descending values.  <a href="#a1fbe6424bfb9378195af171ecfe67b4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#ad3ec3a979bce1a52d77770d0d77e8e7b">sortAscending</a> (<a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;meshLodUsageList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of sort suitable for ascending values.  <a href="#ad3ec3a979bce1a52d77770d0d77e8e7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a09d598f542e925a2a69af2015d8decc1">sortDescending</a> (<a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;meshLodUsageList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of sort suitable for descending values.  <a href="#a09d598f542e925a2a69af2015d8decc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#af9920afcfe458d47025e955ed67e34a6">getIndexAscending</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value, const <a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;meshLodUsageList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of getIndex suitable for ascending values.  <a href="#af9920afcfe458d47025e955ed67e34a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a6f80f29378aa401e8071df39d6e2babd">getIndexDescending</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value, const <a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;meshLodUsageList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of getIndex suitable for descending values.  <a href="#a6f80f29378aa401e8071df39d6e2babd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a086cb335b052378370e43dd6868a1a5d">getIndexAscending</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value, const <a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">Material::LodValueList</a> &amp;materialLodValueList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of getIndex suitable for ascending values.  <a href="#a086cb335b052378370e43dd6868a1a5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a7991ade884172ecbce3a28697a4f27ca">getIndexDescending</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value, const <a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">Material::LodValueList</a> &amp;materialLodValueList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of getIndex suitable for descending values.  <a href="#a7991ade884172ecbce3a28697a4f27ca"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodStrategy.html#a769ac92afc0408591b50fd33f71372d0">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of this strategy.  <a href="#a769ac92afc0408591b50fd33f71372d0"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Strategy for determining level of detail. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Generally, to create a new lod strategy, all of the following will need to be implemented: getValueImpl, getBaseValue, transformBias, getIndex, sort, and isSorted. In addition, transformUserValue may be overridden. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodStrategy_8h_source.html#l00053">53</a> of file <a class="el" href="OgreLodStrategy_8h_source.html">OgreLodStrategy.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a49536ec8eff8497fda98ea8ecab569df"></a><!-- doxytag: member="Ogre::LodStrategy::LodStrategy" ref="a49536ec8eff8497fda98ea8ecab569df" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1LodStrategy.html#a49536ec8eff8497fda98ea8ecab569df">Ogre::LodStrategy::LodStrategy</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor accepting name. </p>

</div>
</div>
<a class="anchor" id="a667bd94e7c15e2b5d5692146d22cd1f8"></a><!-- doxytag: member="Ogre::LodStrategy::~LodStrategy" ref="a667bd94e7c15e2b5d5692146d22cd1f8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1LodStrategy.html#a667bd94e7c15e2b5d5692146d22cd1f8">Ogre::LodStrategy::~LodStrategy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Virtual destructor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa904d7ba5622837991539bd3eb9dc815"></a><!-- doxytag: member="Ogre::LodStrategy::assertSorted" ref="aa904d7ba5622837991539bd3eb9dc815" args="(const Mesh::LodValueList &amp;values) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1LodStrategy.html#aa904d7ba5622837991539bd3eb9dc815">Ogre::LodStrategy::assertSorted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assert that the lod values are sorted from greatest detail to least detail. </p>

</div>
</div>
<a class="anchor" id="a11c15567a651d4e46856030f6d34b789"></a><!-- doxytag: member="Ogre::LodStrategy::getBaseValue" ref="a11c15567a651d4e46856030f6d34b789" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LodStrategy.html#a11c15567a651d4e46856030f6d34b789">Ogre::LodStrategy::getBaseValue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the value of the first (highest) level of detail. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a3381326ffec982e9802d5aed939ed5e2">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a11a5d4cd5608ff417f1af6a248eb9de1">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="a25dbe720f04a6787f5bc143d522f8f83"></a><!-- doxytag: member="Ogre::LodStrategy::getIndex" ref="a25dbe720f04a6787f5bc143d522f8f83" args="(Real value, const Mesh::MeshLodUsageList &amp;meshLodUsageList) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1LodStrategy.html#a25dbe720f04a6787f5bc143d522f8f83">Ogre::LodStrategy::getIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;&#160;</td>
          <td class="paramname"><em>meshLodUsageList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the index of the lod usage which applies to a given value. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a707baad795a5dd6643bc335040a04420">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a8c96901b430694d728fa9417b6a3b723">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="ac1509db4186c609e174deeb3be5b3760"></a><!-- doxytag: member="Ogre::LodStrategy::getIndex" ref="ac1509db4186c609e174deeb3be5b3760" args="(Real value, const Material::LodValueList &amp;materialLodValueList) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1LodStrategy.html#a25dbe720f04a6787f5bc143d522f8f83">Ogre::LodStrategy::getIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">Material::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>materialLodValueList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the index of the lod usage which applies to a given value. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a421d816ca3303ca19f101a77a2c5d9ac">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a57ef862c49a15e9f3dcc73d83d49377a">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="af9920afcfe458d47025e955ed67e34a6"></a><!-- doxytag: member="Ogre::LodStrategy::getIndexAscending" ref="af9920afcfe458d47025e955ed67e34a6" args="(Real value, const Mesh::MeshLodUsageList &amp;meshLodUsageList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1LodStrategy.html#af9920afcfe458d47025e955ed67e34a6">Ogre::LodStrategy::getIndexAscending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;&#160;</td>
          <td class="paramname"><em>meshLodUsageList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of getIndex suitable for ascending values. </p>

</div>
</div>
<a class="anchor" id="a086cb335b052378370e43dd6868a1a5d"></a><!-- doxytag: member="Ogre::LodStrategy::getIndexAscending" ref="a086cb335b052378370e43dd6868a1a5d" args="(Real value, const Material::LodValueList &amp;materialLodValueList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1LodStrategy.html#af9920afcfe458d47025e955ed67e34a6">Ogre::LodStrategy::getIndexAscending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">Material::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>materialLodValueList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of getIndex suitable for ascending values. </p>

</div>
</div>
<a class="anchor" id="a6f80f29378aa401e8071df39d6e2babd"></a><!-- doxytag: member="Ogre::LodStrategy::getIndexDescending" ref="a6f80f29378aa401e8071df39d6e2babd" args="(Real value, const Mesh::MeshLodUsageList &amp;meshLodUsageList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1LodStrategy.html#a6f80f29378aa401e8071df39d6e2babd">Ogre::LodStrategy::getIndexDescending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;&#160;</td>
          <td class="paramname"><em>meshLodUsageList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of getIndex suitable for descending values. </p>

</div>
</div>
<a class="anchor" id="a7991ade884172ecbce3a28697a4f27ca"></a><!-- doxytag: member="Ogre::LodStrategy::getIndexDescending" ref="a7991ade884172ecbce3a28697a4f27ca" args="(Real value, const Material::LodValueList &amp;materialLodValueList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1LodStrategy.html#a6f80f29378aa401e8071df39d6e2babd">Ogre::LodStrategy::getIndexDescending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Material.html#a4c0945a06c098b9b1d366d9d3ba857fe">Material::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>materialLodValueList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of getIndex suitable for descending values. </p>

</div>
</div>
<a class="anchor" id="a4dc72d5700c871cb12a1409c7e71e08b"></a><!-- doxytag: member="Ogre::LodStrategy::getName" ref="a4dc72d5700c871cb12a1409c7e71e08b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1LodStrategy.html#a4dc72d5700c871cb12a1409c7e71e08b">Ogre::LodStrategy::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this strategy. </p>

<p>Definition at line <a class="el" href="OgreLodStrategy_8h_source.html#l00103">103</a> of file <a class="el" href="OgreLodStrategy_8h_source.html">OgreLodStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aae80184002889618f1a7668e25078c05"></a><!-- doxytag: member="Ogre::LodStrategy::getValue" ref="aae80184002889618f1a7668e25078c05" args="(const MovableObject *movableObject, const Camera *camera) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LodStrategy.html#aae80184002889618f1a7668e25078c05">Ogre::LodStrategy::getValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>movableObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>camera</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compute the lod value for a given movable object relative to a given camera. </p>

</div>
</div>
<a class="anchor" id="a407f6232a2d69ba722a00e90615a8186"></a><!-- doxytag: member="Ogre::LodStrategy::getValueImpl" ref="a407f6232a2d69ba722a00e90615a8186" args="(const MovableObject *movableObject, const Camera *camera) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LodStrategy.html#a407f6232a2d69ba722a00e90615a8186">Ogre::LodStrategy::getValueImpl</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>movableObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>camera</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected, pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compute the lod value for a given movable object relative to a given camera. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a7315d1a50f0505d7888440f7149e628f">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ac4d868a4f19d2e21dfe625afc2e5668c">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="a7a1baabc9cc705dc5551a86534145ca3"></a><!-- doxytag: member="Ogre::LodStrategy::isSorted" ref="a7a1baabc9cc705dc5551a86534145ca3" args="(const Mesh::LodValueList &amp;values) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1LodStrategy.html#a7a1baabc9cc705dc5551a86534145ca3">Ogre::LodStrategy::isSorted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determine if the lod values are sorted from greatest detail to least detail. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a71245161c9a208a9041ed7b9b0fb5352">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ae395d568f02a6a9c2019547b1784689c">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="ae651397cff148b52d2f11c85ac7a21a8"></a><!-- doxytag: member="Ogre::LodStrategy::isSortedAscending" ref="ae651397cff148b52d2f11c85ac7a21a8" args="(const Mesh::LodValueList &amp;values)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1LodStrategy.html#ae651397cff148b52d2f11c85ac7a21a8">Ogre::LodStrategy::isSortedAscending</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of isSorted suitable for ascending values. </p>

</div>
</div>
<a class="anchor" id="a1fbe6424bfb9378195af171ecfe67b4a"></a><!-- doxytag: member="Ogre::LodStrategy::isSortedDescending" ref="a1fbe6424bfb9378195af171ecfe67b4a" args="(const Mesh::LodValueList &amp;values)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1LodStrategy.html#a1fbe6424bfb9378195af171ecfe67b4a">Ogre::LodStrategy::isSortedDescending</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html#a7d726e72a87c304798883fbecbe6810a">Mesh::LodValueList</a> &amp;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of isSorted suitable for descending values. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::LodStrategy::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::LodStrategy::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::LodStrategy::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::LodStrategy::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::LodStrategy::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::LodStrategy::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::LodStrategy::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::LodStrategy::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::LodStrategy::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::LodStrategy::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5f7dbdd90f8acb8edbffbf40fbd13df5"></a><!-- doxytag: member="Ogre::LodStrategy::sort" ref="a5f7dbdd90f8acb8edbffbf40fbd13df5" args="(Mesh::MeshLodUsageList &amp;meshLodUsageList) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1LodStrategy.html#a5f7dbdd90f8acb8edbffbf40fbd13df5">Ogre::LodStrategy::sort</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;&#160;</td>
          <td class="paramname"><em>meshLodUsageList</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sort mesh lod usage list from greatest to least detail. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#af258103836e2ab73ca7b1d9510edea2b">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#acd3aa6bb947862708373a6d0b9007d07">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="ad3ec3a979bce1a52d77770d0d77e8e7b"></a><!-- doxytag: member="Ogre::LodStrategy::sortAscending" ref="ad3ec3a979bce1a52d77770d0d77e8e7b" args="(Mesh::MeshLodUsageList &amp;meshLodUsageList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1LodStrategy.html#ad3ec3a979bce1a52d77770d0d77e8e7b">Ogre::LodStrategy::sortAscending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;&#160;</td>
          <td class="paramname"><em>meshLodUsageList</em></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of sort suitable for ascending values. </p>

</div>
</div>
<a class="anchor" id="a09d598f542e925a2a69af2015d8decc1"></a><!-- doxytag: member="Ogre::LodStrategy::sortDescending" ref="a09d598f542e925a2a69af2015d8decc1" args="(Mesh::MeshLodUsageList &amp;meshLodUsageList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1LodStrategy.html#a09d598f542e925a2a69af2015d8decc1">Ogre::LodStrategy::sortDescending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html#afe83b164df6c330c0bd7b7c5c76d04e3">Mesh::MeshLodUsageList</a> &amp;&#160;</td>
          <td class="paramname"><em>meshLodUsageList</em></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implementation of sort suitable for descending values. </p>

</div>
</div>
<a class="anchor" id="aeaf5bcfb7457356cb921366769490705"></a><!-- doxytag: member="Ogre::LodStrategy::transformBias" ref="aeaf5bcfb7457356cb921366769490705" args="(Real factor) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LodStrategy.html#aeaf5bcfb7457356cb921366769490705">Ogre::LodStrategy::transformBias</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>factor</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Transform lod bias so it only needs to be multiplied by the lod value. </p>

<p>Implemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a04270f9d9e5fbc477165d3f144ff9784">Ogre::DistanceLodStrategy</a>, and <a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ab2def0275debbe818d6c145f54346af4">Ogre::PixelCountLodStrategy</a>.</p>

</div>
</div>
<a class="anchor" id="aaa120bf9341ff0cada367395900b43a6"></a><!-- doxytag: member="Ogre::LodStrategy::transformUserValue" ref="aaa120bf9341ff0cada367395900b43a6" args="(Real userValue) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1LodStrategy.html#aaa120bf9341ff0cada367395900b43a6">Ogre::LodStrategy::transformUserValue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>userValue</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Transforum user supplied value to internal value. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>By default, performs no transformation. </dd>
<dd>
Do not throw exceptions for invalid values here, as the lod strategy may be changed such that the values become valid. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1DistanceLodStrategy.html#a8b5d00ef6be1bc9b01425ebaef92f9ee">Ogre::DistanceLodStrategy</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a769ac92afc0408591b50fd33f71372d0"></a><!-- doxytag: member="Ogre::LodStrategy::mName" ref="a769ac92afc0408591b50fd33f71372d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1LodStrategy.html#a769ac92afc0408591b50fd33f71372d0">Ogre::LodStrategy::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Name of this strategy. </p>

<p>Definition at line <a class="el" href="OgreLodStrategy_8h_source.html#l00057">57</a> of file <a class="el" href="OgreLodStrategy_8h_source.html">OgreLodStrategy.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLodStrategy_8h_source.html">OgreLodStrategy.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
